# Makefile.in generated by automake 1.7.5 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = @host@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@

# don't bother with automake defs
DEFS = 
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
M4 = @M4@
MAINT = @MAINT@
MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
MAKEINFO = @MAKEINFO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL_PATH = @PERL_PATH@
PLATFORM_WIN32_FALSE = @PLATFORM_WIN32_FALSE@
PLATFORM_WIN32_TRUE = @PLATFORM_WIN32_TRUE@
RANLIB = @RANLIB@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
ac_ct_AR = @ac_ct_AR@
ac_ct_AS = @ac_ct_AS@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
ac_ct_F77 = @ac_ct_F77@
ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
INCLUDES = -I$(top_srcdir) -I$(top_builddir)

LDADD = $(top_builddir)/sigc++/libsigc-2.0.la

# this means make check will run these programs.
noinst_PROGRAMS = \
  test_trackable \
  test_deduce_result_type \
  test_functor_trait \
  test_mem_fun \
  test_ptr_fun \
  test_slot \
  test_signal \
  test_accumulated \
  test_disconnect \
  test_bind \
  test_bind_return \
  test_retype_return \
  test_hide \
  test_retype \
  test_compose \
  test_exception_catch \
  test_lambda \
  test_size \
  test_compatibility


TESTS = $(noinst_PROGRAMS)

# we can have as many programs built here as we need.
test_trackable_SOURCES = test_trackable.cc
test_deduce_result_type_SOURCES = test_deduce_result_type.cc
test_functor_trait_SOURCES = test_functor_trait.cc
test_mem_fun_SOURCES = test_mem_fun.cc
test_ptr_fun_SOURCES = test_ptr_fun.cc
test_slot_SOURCES = test_slot.cc
test_signal_SOURCES = test_signal.cc
test_accumulated_SOURCES = test_accumulated.cc
test_disconnect_SOURCES = test_disconnect.cc
test_bind_SOURCES = test_bind.cc
test_bind_return_SOURCES = test_bind_return.cc
test_retype_return_SOURCES = test_retype_return.cc
test_hide_SOURCES = test_hide.cc
test_retype_SOURCES = test_retype.cc
test_compose_SOURCES = test_compose.cc
test_exception_catch_SOURCES = test_exception_catch.cc
test_lambda_SOURCES = test_lambda.cc
test_size_SOURCES = test_size.cc
test_compatibility_SOURCES = test_compatibility.cc
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/sigc++config.h
CONFIG_CLEAN_FILES =
noinst_PROGRAMS = test_trackable$(EXEEXT) \
	test_deduce_result_type$(EXEEXT) test_functor_trait$(EXEEXT) \
	test_mem_fun$(EXEEXT) test_ptr_fun$(EXEEXT) test_slot$(EXEEXT) \
	test_signal$(EXEEXT) test_accumulated$(EXEEXT) \
	test_disconnect$(EXEEXT) test_bind$(EXEEXT) \
	test_bind_return$(EXEEXT) test_retype_return$(EXEEXT) \
	test_hide$(EXEEXT) test_retype$(EXEEXT) test_compose$(EXEEXT) \
	test_exception_catch$(EXEEXT) test_lambda$(EXEEXT) \
	test_size$(EXEEXT) test_compatibility$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)

am_test_accumulated_OBJECTS = test_accumulated.$(OBJEXT)
test_accumulated_OBJECTS = $(am_test_accumulated_OBJECTS)
test_accumulated_LDADD = $(LDADD)
test_accumulated_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_accumulated_LDFLAGS =
am_test_bind_OBJECTS = test_bind.$(OBJEXT)
test_bind_OBJECTS = $(am_test_bind_OBJECTS)
test_bind_LDADD = $(LDADD)
test_bind_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_bind_LDFLAGS =
am_test_bind_return_OBJECTS = test_bind_return.$(OBJEXT)
test_bind_return_OBJECTS = $(am_test_bind_return_OBJECTS)
test_bind_return_LDADD = $(LDADD)
test_bind_return_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_bind_return_LDFLAGS =
am_test_compatibility_OBJECTS = test_compatibility.$(OBJEXT)
test_compatibility_OBJECTS = $(am_test_compatibility_OBJECTS)
test_compatibility_LDADD = $(LDADD)
test_compatibility_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_compatibility_LDFLAGS =
am_test_compose_OBJECTS = test_compose.$(OBJEXT)
test_compose_OBJECTS = $(am_test_compose_OBJECTS)
test_compose_LDADD = $(LDADD)
test_compose_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_compose_LDFLAGS =
am_test_deduce_result_type_OBJECTS = test_deduce_result_type.$(OBJEXT)
test_deduce_result_type_OBJECTS = $(am_test_deduce_result_type_OBJECTS)
test_deduce_result_type_LDADD = $(LDADD)
test_deduce_result_type_DEPENDENCIES = \
	$(top_builddir)/sigc++/libsigc-2.0.la
test_deduce_result_type_LDFLAGS =
am_test_disconnect_OBJECTS = test_disconnect.$(OBJEXT)
test_disconnect_OBJECTS = $(am_test_disconnect_OBJECTS)
test_disconnect_LDADD = $(LDADD)
test_disconnect_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_disconnect_LDFLAGS =
am_test_exception_catch_OBJECTS = test_exception_catch.$(OBJEXT)
test_exception_catch_OBJECTS = $(am_test_exception_catch_OBJECTS)
test_exception_catch_LDADD = $(LDADD)
test_exception_catch_DEPENDENCIES = \
	$(top_builddir)/sigc++/libsigc-2.0.la
test_exception_catch_LDFLAGS =
am_test_functor_trait_OBJECTS = test_functor_trait.$(OBJEXT)
test_functor_trait_OBJECTS = $(am_test_functor_trait_OBJECTS)
test_functor_trait_LDADD = $(LDADD)
test_functor_trait_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_functor_trait_LDFLAGS =
am_test_hide_OBJECTS = test_hide.$(OBJEXT)
test_hide_OBJECTS = $(am_test_hide_OBJECTS)
test_hide_LDADD = $(LDADD)
test_hide_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_hide_LDFLAGS =
am_test_lambda_OBJECTS = test_lambda.$(OBJEXT)
test_lambda_OBJECTS = $(am_test_lambda_OBJECTS)
test_lambda_LDADD = $(LDADD)
test_lambda_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_lambda_LDFLAGS =
am_test_mem_fun_OBJECTS = test_mem_fun.$(OBJEXT)
test_mem_fun_OBJECTS = $(am_test_mem_fun_OBJECTS)
test_mem_fun_LDADD = $(LDADD)
test_mem_fun_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_mem_fun_LDFLAGS =
am_test_ptr_fun_OBJECTS = test_ptr_fun.$(OBJEXT)
test_ptr_fun_OBJECTS = $(am_test_ptr_fun_OBJECTS)
test_ptr_fun_LDADD = $(LDADD)
test_ptr_fun_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_ptr_fun_LDFLAGS =
am_test_retype_OBJECTS = test_retype.$(OBJEXT)
test_retype_OBJECTS = $(am_test_retype_OBJECTS)
test_retype_LDADD = $(LDADD)
test_retype_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_retype_LDFLAGS =
am_test_retype_return_OBJECTS = test_retype_return.$(OBJEXT)
test_retype_return_OBJECTS = $(am_test_retype_return_OBJECTS)
test_retype_return_LDADD = $(LDADD)
test_retype_return_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_retype_return_LDFLAGS =
am_test_signal_OBJECTS = test_signal.$(OBJEXT)
test_signal_OBJECTS = $(am_test_signal_OBJECTS)
test_signal_LDADD = $(LDADD)
test_signal_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_signal_LDFLAGS =
am_test_size_OBJECTS = test_size.$(OBJEXT)
test_size_OBJECTS = $(am_test_size_OBJECTS)
test_size_LDADD = $(LDADD)
test_size_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_size_LDFLAGS =
am_test_slot_OBJECTS = test_slot.$(OBJEXT)
test_slot_OBJECTS = $(am_test_slot_OBJECTS)
test_slot_LDADD = $(LDADD)
test_slot_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_slot_LDFLAGS =
am_test_trackable_OBJECTS = test_trackable.$(OBJEXT)
test_trackable_OBJECTS = $(am_test_trackable_OBJECTS)
test_trackable_LDADD = $(LDADD)
test_trackable_DEPENDENCIES = $(top_builddir)/sigc++/libsigc-2.0.la
test_trackable_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/test_accumulated.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_bind.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_bind_return.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_compatibility.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_compose.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_deduce_result_type.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_disconnect.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_exception_catch.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_functor_trait.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_hide.Po ./$(DEPDIR)/test_lambda.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_mem_fun.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_ptr_fun.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_retype.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_retype_return.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_signal.Po ./$(DEPDIR)/test_size.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_slot.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test_trackable.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(test_accumulated_SOURCES) $(test_bind_SOURCES) \
	$(test_bind_return_SOURCES) $(test_compatibility_SOURCES) \
	$(test_compose_SOURCES) $(test_deduce_result_type_SOURCES) \
	$(test_disconnect_SOURCES) $(test_exception_catch_SOURCES) \
	$(test_functor_trait_SOURCES) $(test_hide_SOURCES) \
	$(test_lambda_SOURCES) $(test_mem_fun_SOURCES) \
	$(test_ptr_fun_SOURCES) $(test_retype_SOURCES) \
	$(test_retype_return_SOURCES) $(test_signal_SOURCES) \
	$(test_size_SOURCES) $(test_slot_SOURCES) \
	$(test_trackable_SOURCES)
DIST_COMMON = Makefile.am Makefile.in
SOURCES = $(test_accumulated_SOURCES) $(test_bind_SOURCES) $(test_bind_return_SOURCES) $(test_compatibility_SOURCES) $(test_compose_SOURCES) $(test_deduce_result_type_SOURCES) $(test_disconnect_SOURCES) $(test_exception_catch_SOURCES) $(test_functor_trait_SOURCES) $(test_hide_SOURCES) $(test_lambda_SOURCES) $(test_mem_fun_SOURCES) $(test_ptr_fun_SOURCES) $(test_retype_SOURCES) $(test_retype_return_SOURCES) $(test_signal_SOURCES) $(test_size_SOURCES) $(test_slot_SOURCES) $(test_trackable_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cc .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tests/Makefile
Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
test_accumulated$(EXEEXT): $(test_accumulated_OBJECTS) $(test_accumulated_DEPENDENCIES) 
	@rm -f test_accumulated$(EXEEXT)
	$(CXXLINK) $(test_accumulated_LDFLAGS) $(test_accumulated_OBJECTS) $(test_accumulated_LDADD) $(LIBS)
test_bind$(EXEEXT): $(test_bind_OBJECTS) $(test_bind_DEPENDENCIES) 
	@rm -f test_bind$(EXEEXT)
	$(CXXLINK) $(test_bind_LDFLAGS) $(test_bind_OBJECTS) $(test_bind_LDADD) $(LIBS)
test_bind_return$(EXEEXT): $(test_bind_return_OBJECTS) $(test_bind_return_DEPENDENCIES) 
	@rm -f test_bind_return$(EXEEXT)
	$(CXXLINK) $(test_bind_return_LDFLAGS) $(test_bind_return_OBJECTS) $(test_bind_return_LDADD) $(LIBS)
test_compatibility$(EXEEXT): $(test_compatibility_OBJECTS) $(test_compatibility_DEPENDENCIES) 
	@rm -f test_compatibility$(EXEEXT)
	$(CXXLINK) $(test_compatibility_LDFLAGS) $(test_compatibility_OBJECTS) $(test_compatibility_LDADD) $(LIBS)
test_compose$(EXEEXT): $(test_compose_OBJECTS) $(test_compose_DEPENDENCIES) 
	@rm -f test_compose$(EXEEXT)
	$(CXXLINK) $(test_compose_LDFLAGS) $(test_compose_OBJECTS) $(test_compose_LDADD) $(LIBS)
test_deduce_result_type$(EXEEXT): $(test_deduce_result_type_OBJECTS) $(test_deduce_result_type_DEPENDENCIES) 
	@rm -f test_deduce_result_type$(EXEEXT)
	$(CXXLINK) $(test_deduce_result_type_LDFLAGS) $(test_deduce_result_type_OBJECTS) $(test_deduce_result_type_LDADD) $(LIBS)
test_disconnect$(EXEEXT): $(test_disconnect_OBJECTS) $(test_disconnect_DEPENDENCIES) 
	@rm -f test_disconnect$(EXEEXT)
	$(CXXLINK) $(test_disconnect_LDFLAGS) $(test_disconnect_OBJECTS) $(test_disconnect_LDADD) $(LIBS)
test_exception_catch$(EXEEXT): $(test_exception_catch_OBJECTS) $(test_exception_catch_DEPENDENCIES) 
	@rm -f test_exception_catch$(EXEEXT)
	$(CXXLINK) $(test_exception_catch_LDFLAGS) $(test_exception_catch_OBJECTS) $(test_exception_catch_LDADD) $(LIBS)
test_functor_trait$(EXEEXT): $(test_functor_trait_OBJECTS) $(test_functor_trait_DEPENDENCIES) 
	@rm -f test_functor_trait$(EXEEXT)
	$(CXXLINK) $(test_functor_trait_LDFLAGS) $(test_functor_trait_OBJECTS) $(test_functor_trait_LDADD) $(LIBS)
test_hide$(EXEEXT): $(test_hide_OBJECTS) $(test_hide_DEPENDENCIES) 
	@rm -f test_hide$(EXEEXT)
	$(CXXLINK) $(test_hide_LDFLAGS) $(test_hide_OBJECTS) $(test_hide_LDADD) $(LIBS)
test_lambda$(EXEEXT): $(test_lambda_OBJECTS) $(test_lambda_DEPENDENCIES) 
	@rm -f test_lambda$(EXEEXT)
	$(CXXLINK) $(test_lambda_LDFLAGS) $(test_lambda_OBJECTS) $(test_lambda_LDADD) $(LIBS)
test_mem_fun$(EXEEXT): $(test_mem_fun_OBJECTS) $(test_mem_fun_DEPENDENCIES) 
	@rm -f test_mem_fun$(EXEEXT)
	$(CXXLINK) $(test_mem_fun_LDFLAGS) $(test_mem_fun_OBJECTS) $(test_mem_fun_LDADD) $(LIBS)
test_ptr_fun$(EXEEXT): $(test_ptr_fun_OBJECTS) $(test_ptr_fun_DEPENDENCIES) 
	@rm -f test_ptr_fun$(EXEEXT)
	$(CXXLINK) $(test_ptr_fun_LDFLAGS) $(test_ptr_fun_OBJECTS) $(test_ptr_fun_LDADD) $(LIBS)
test_retype$(EXEEXT): $(test_retype_OBJECTS) $(test_retype_DEPENDENCIES) 
	@rm -f test_retype$(EXEEXT)
	$(CXXLINK) $(test_retype_LDFLAGS) $(test_retype_OBJECTS) $(test_retype_LDADD) $(LIBS)
test_retype_return$(EXEEXT): $(test_retype_return_OBJECTS) $(test_retype_return_DEPENDENCIES) 
	@rm -f test_retype_return$(EXEEXT)
	$(CXXLINK) $(test_retype_return_LDFLAGS) $(test_retype_return_OBJECTS) $(test_retype_return_LDADD) $(LIBS)
test_signal$(EXEEXT): $(test_signal_OBJECTS) $(test_signal_DEPENDENCIES) 
	@rm -f test_signal$(EXEEXT)
	$(CXXLINK) $(test_signal_LDFLAGS) $(test_signal_OBJECTS) $(test_signal_LDADD) $(LIBS)
test_size$(EXEEXT): $(test_size_OBJECTS) $(test_size_DEPENDENCIES) 
	@rm -f test_size$(EXEEXT)
	$(CXXLINK) $(test_size_LDFLAGS) $(test_size_OBJECTS) $(test_size_LDADD) $(LIBS)
test_slot$(EXEEXT): $(test_slot_OBJECTS) $(test_slot_DEPENDENCIES) 
	@rm -f test_slot$(EXEEXT)
	$(CXXLINK) $(test_slot_LDFLAGS) $(test_slot_OBJECTS) $(test_slot_LDADD) $(LIBS)
test_trackable$(EXEEXT): $(test_trackable_OBJECTS) $(test_trackable_DEPENDENCIES) 
	@rm -f test_trackable$(EXEEXT)
	$(CXXLINK) $(test_trackable_LDFLAGS) $(test_trackable_OBJECTS) $(test_trackable_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_accumulated.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bind.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bind_return.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_compatibility.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_compose.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_deduce_result_type.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_disconnect.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_exception_catch.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_functor_trait.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_hide.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_lambda.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_mem_fun.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ptr_fun.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_retype.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_retype_return.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_signal.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_size.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_slot.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_trackable.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cc.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cc.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cc.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xpass=`expr $$xpass + 1`; \
	        failed=`expr $$failed + 1`; \
	        echo "XPASS: $$tst"; \
	      ;; \
	      *) \
	        echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
	        xfail=`expr $$xfail + 1`; \
	        echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
	        failed=`expr $$failed + 1`; \
	        echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -n "$$skipped" && echo "$$skipped"; \
	  test -n "$$report" && echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-am
all-am: Makefile $(PROGRAMS)

installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
	clean-generic clean-libtool clean-noinstPROGRAMS ctags \
	distclean distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am info \
	info-am install install-am install-data install-data-am \
	install-exec install-exec-am install-info install-info-am \
	install-man install-strip installcheck installcheck-am \
	installdirs maintainer-clean maintainer-clean-generic \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
